<div class="films-list-container">
  <div *ngIf="filmsLoaded; else loading">
    <div *ngFor="let film of films" class="film">
      <mat-card class="card">
        <mat-card-title>{{film.title}} - {{film.year}}</mat-card-title>
        <mat-card-subtitle>{{film.crew}}</mat-card-subtitle>

        <mat-card-content>
        </mat-card-content>

        <mat-card-actions>
          <button mat-button><a [routerLink]="[film._id]" class="btn btn-primary">See reviews</a></button>
        </mat-card-actions>

        <mat-card-footer></mat-card-footer>
      </mat-card>

      <img [src]="film.image" alt="film-poster" class="film-poster"/>
    </div>
  </div>
  <ng-template #loading>
    <div class="loading">
      Loading..
    </div>
  </ng-template>
</div>
